#ifndef PLAY_HPP
#define PLAY_HPP

#include <Basis/Screen.hpp>
#include <Vector/Vector.hpp>
#include <string>

//This is a basic, empty screen. Fill at your leisure.

class Play : public Screen {
public:
  Play();
  virtual ~Play();
  virtual void draw();
  virtual void update(float elapsed_time);
  virtual void handle_event(SDL_Event const &event);
  
  Vector2f mouse_pos;
  float total_time;
  bool laser;
  bool lasers_on;
  bool shields_on;
  bool lasers_text;
  bool shields_text;
  bool ships [4];
  bool ships_hl [4];
  bool show_start;
  bool bad_end;
  bool good_end;
  bool tint;
  
  Vector2f ship_pos [4];  
};

#endif //PLAY_HPP
